# Message object

Network messages used in the distributed simulation

class pypdevs.message.NetworkMessage(timestamp, content, uuid, color, destination)

  Network messages used in the distributed simulation, simply a data class.

  __init__(timestamp, content, uuid, color, destination)

    Constructor

    Parameters

      - timestamp – timestamp of the message

      - content – content of the message

      - uuid – UUID of the message

      - color – color of the message for Mattern’s algorithm

      - destination – the model_id of the destination model

  __lt__(other)

    Comparison of different NetworkMessages, necessary for Python3

  __weakref__

    list of weak references to the object (if defined)